package com.metawear.mobility;

import android.os.Environment;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

class DataWriter{

    private final String  FILE_FOLDER =
            Environment.getExternalStorageDirectory().getAbsolutePath();

    private FileOutputStream os;

    DataWriter(String fileName) throws FileNotFoundException {
        createFolder();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy_MM_dd");
        String currentDate= sdf.format(new Date());
        File eFile = new File(FILE_FOLDER + File.separator+ "mobilityData_" + currentDate + File.separator + fileName);
        System.out.println(eFile.getPath());
        if (!eFile.exists()) {
            try {
                boolean newFile = eFile.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        os = new FileOutputStream(eFile, true);
    }

    private void createFolder() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy_MM_dd");
        String currentDate= sdf.format(new Date());
        File fileDir = new File(FILE_FOLDER, "mobilityData_" + currentDate);
        if (!fileDir.exists()) {
            boolean dirCreated = fileDir.mkdirs();// create root directory
        }
    }

    void write(String dataRow) {

        try {
            os.write(dataRow.getBytes());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    void closeStream(){
        try {
            os.flush();
            os.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
