package com.metawear.mobility;

import java.util.ArrayList;

class DeviceList {

    private static DeviceList listInstance;
    private ArrayList<String> metawearList;
    private DeviceListAdapter listAdapter;

    private DeviceList() {
        metawearList = new ArrayList<>();
        listAdapter = new DeviceListAdapter(metawearList);
    }

    static DeviceList getInstance() {

        //if there is no instance available, create new one
        if (listInstance == null) {
            listInstance = new DeviceList();
        }

        return listInstance;
    }

    ArrayList<String> getMetawearList() {
        return metawearList;
    }

    void addDevice(String macAddress) {
        metawearList.add(macAddress);
    }

    DeviceListAdapter getListAdapter() {
        return listAdapter;
    }

    void notifyDataSetChanged() {
        listAdapter.notifyDataSetChanged();
    }

    void clearList() {
        metawearList.clear();
    }

}
